### Class

# FwupdPlugin CfuPayload

#### Description [src]

    class FwupdPlugin.CfuPayload : FwupdPlugin.Firmware
    {
      /* No available fields */
    }

A CFU payload. This contains of a variable number of blocks, each containing the address, size and the chunk data. The chunks do not have to be the same size, and the address ranges do not have to be continuous.

Documented: https://docs.microsoft.com/en-us/windows-hardware/drivers/cfu/cfu-specification

See also: `FuFirmware`.

#### Hierarchy

#### Ancestors

- FuFirmware
- GObject

#### Constructors

###### fu_cfu_payload_new

Creates a new `FuFirmware` for a CFU payload.

since: 1.7.0

#### Instance methods

##### Methods inherited from FuFirmware (66)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginCfuPayloadClass {
      FuFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuFirmwareClass`

  No description available.